Subject: Re: CCL:F77 Compilers

From: [email-masked] (Joerg Hill)
Date: Tue, 14 Jun 1994 08:54:30 -0700

> Is there a public domain f77 compiler available under UNIX systems?
> 
> We don't want to spend Mega bucks getting a compiler as we only want to
> compile one program!!!
> 
> Any help much appreciated.
> 
> Andy.

Currently there is no public domain f77 compiler, but a GNU Fortran Compiler
is under development. For informations about it, try the following:

> HOW TO GET THIS FILE (last updated 93/09/29)
> --------------------
> 
> How to get information on GNU Fortran (the .plan file for user
> fortran at Project GNU):
> 
> If you can do finger -l, try:
> 
>     finger -l [email-masked]
> 
> If that produces output of around 250 lines, then it probably works.
> 
> Otherwise, if you can do ftp, try:
> 
>     ftp gate.gnu.ai.mit.edu
>     Username: ftp
>     Password: (any)
>     get g77.plan
> 
> The ftp copy of the file is updated every 3 hours from the live copy.
> 
> NOTE: Try gate-1.gnu.ai.mit.edu, gate-2.gnu.ai.mit.edu, or
>       gate-3.gnu.ai.mit.edu if you are having problems with
>       gate.gnu.ai.mit.edu.

You can use f2c, a Fortran to C cross compiler to generate C code from your
Fortran code and use then GNU C to compile. Informations on how to get f2c
is included in the file you get as described above.

Joerg-R. Hill

--------------------------------------------------------------------------------
Dr. Joerg-Ruediger Hill   | Every attempt to employ mathematical methods in the
Biosym Technologies, Inc. | study of chemical questions must be considered pro-
9685 Scranton Road        | foundly irrational  and  contrary  to the spirit of
San Diego, CA 92121-3752  | chemistry ...  If mathematical analysis should ever
USA                       | hold a prominent place in chemistry - an aberration
                          | which  is  happily  almost  impossible  -  it would
Phone (619) 546-5508      | occasion  a rapid  and  widespread  degeneration of
Fax   (619) 458-0136      | that science.
E-mail [email-masked]     |                                      A. Comte, 1830
--------------------------------------------------------------------------------
 The opinions expressed in this message are my personal opinions and no offical
 statements of Biosym Technologies, Inc. For informations about Biosym products
 send mail to: [email-masked].
--------------------------------------------------------------------------------